Subject: Re: [bug#53434] Patches to unbreak many i686 packages

From: Maxime Devos <[email-masked]>
Date: Sat, 22 Jan 2022 20:32:37 +0100

Denis 'GNUtoo' Carikli schreef op za 22-01-2022 om 20:19 [+0100]:
> This way we would at least have the log of the failing tests or

I cannot spend much time building every package, 
but if you provide the build logs, I can try to
determine what the cause is.

E.g.,  I built upower of i686-linux today, and the build log
contained:

> # UPower-DEBUG: deferring as others queued
> # UPower-DEBUG: limiting data to last 10 seconds
> # UPower-DEBUG: length of array (before) 3
> # UPower-DEBUG: limiting data to last 10 seconds
> # UPower-DEBUG: length of array (before) 3
> # UPower-DEBUG: Using a x division of 2.000000
> (first=1642875457,last=1642875453)
> # UPower-DEBUG: length of array (after) 3
> **
> UPower:ERROR:up-self-test.c:218:up_test_history_func: assertion
> failed (array->len == 2): (3 == 2)
> Bail out! UPower:ERROR:up-self-test.c:218:up_test_history_func:
> assertion failed (array->len == 2): (3 == 2)
> FAIL up-self-test (exit status: 134)

1642875457 > 1642875453, so first > last, which is suspect.

Would this be a 32-bit/64-bit issue?

(expt 2 32) is 4294967296 which is as long as 1642875457 and
1642875453, so this seems like an overflow issue, so maybe?
To be investigated ... (I'll look at the source code later).

Greetings,
Maxime